# Uses of Class
org.codehaus.janino.UnitCompiler

Packages that use UnitCompiler
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of UnitCompiler in org.codehaus.janino

Methods in org.codehaus.janino that return UnitCompiler
Modifier and Type
Method
Description
`UnitCompiler`
UnitCompiler.`options(EnumSet<JaninoOption> options)`
Sets the options for all future compilations.
Methods in org.codehaus.janino that return types with arguments of type UnitCompiler
Modifier and Type
Method
Description
`Set<UnitCompiler>`
JavaSourceIClassLoader.`getUnitCompilers()`
Returns the set of `UnitCompiler`s that were created so far.